Skip to main content

GET Executions

Get list of all executions NT8

Lists recent NinjaTrader execution fills for one account.

Endpoint

GET /v1/api/accounts/{account}/executions

Headers

NameValue
Content-Typeapplication/json
AuthorizationBearer <token>

Path parameters

NameTypeRequiredDescription
accountstringRequiredName of account in NT8

Query parameters

NameTypeRequiredDescription
lookbackTimeintOptionalNumber of seconds in the past to retrieve execution data (default 320, max 900)

Code examples

import requests

token = 'my-secret-token'

url = "https://app.crosstrade.io/v1/api/accounts/Sim101/executions"
headers = {
"Authorization": f"Bearer {token}",
"Content-Type": "application/json"
}

try:
response = requests.get(url, headers=headers)
print(f"Response Code: {response.status_code}, Response Text: {response.text}")
except Exception as e:
print(f"An error occurred: {e}")

Response

{
"executions": [
{
"id": "550837ff9e784c2895ef6dab22d06be0",
"type": "NinjaTrader.Cbi.Execution",
"time": "2025-09-26T18:09:38.3736787",
"epoch": 1727399378373,
"name": "Exit",
"orderId": "d99b2043460849ddae409d1b15cb92ff",
"account": "Sim101",
"serverName": "DESKTOP-200Q1V3",
"instrument": "ES 12-25",
"instrumentType": "Future",
"position": 0,
"marketPosition": "Short",
"positionStrategy": 0,
"price": 5804.5,
"quantity": 1,
"rate": 1.0,
"commission": "0.00",
"slippage": 0.0,
"lotSize": 1.0,
"isEntry": false,
"isEntryStrategy": false,
"isExit": true,
"isExitStrategy": true,
"isInitialEntry": false,
"isLastExit": true,
"isSod": false,
"barsInProgress": 0,
"exchange": "Default"
}
],
"success": true
}

Platform nuances

NT8 calls these records executions and returns them in executions. The optional lookbackTime window defaults to 320 seconds and is capped at 900 seconds.

WebSocket API

This request can also be made over the WebSocket API. The account path parameter and query parameters are passed inside args.

{
"action": "rpc",
"id": "my-request-id",
"api": "ListExecutions",
"args": {
"account": "Sim101",
"lookbackTime": 3600
}
}